• Announcements

    • HEAVY265

      Attention Soldiers Operation Fury Needs you!   02/20/2020

      Attention All Soldiers, Operation Fury needs you.  You need to choose a side and sign up.  
      For more intel on Operation Fury Please click HERE Please go to Special Event Forum (here), And sign up for allied or axis.
      This will be a CRS Lead event on both sides.  Xoom will be heading up the axis side and Heavy265 will be heading up the Allied side. This will be for bragging rights.
      Why are we asking players to sign up you ask. We are trying for a role play experience.   We want this to be a true realistic event.  
      So get up and sign up and let's make this the best event ever!!!!!!!!!!
      Give me your war cry, grrrrrrrrrrrrr
      Heavy265 **out**
Sign in to follow this  
Followers 0
bez5678

cant upgrade

4 posts in this topic

tried logging in today 3.45pm (gmt) when i tried starting the game it wanted to upgrade half way through upgrade i got message C:\PROGRA~1\CRS\BATTLE~1\\playarcW2g is not a valid previous version and could not be upgraded. iv been a member for about 6 months and not had a plm b4 got a vaslid activation key.any ideas?

alsotried manual upgrade ,got same plm

Share this post


Link to post
Share on other sites

That error is caused usually by small errors in your RAM. The only way to work around it is to download and run the full install file.

Share this post


Link to post
Share on other sites
Sign in to follow this  
Followers 0

  • Recently Browsing   0 members

    No registered users viewing this page.